Package org.wildfly.plugin.cli

## Class CliSession

- java.lang.Object
- - org.wildfly.plugin.cli.CliSession

-     public class CliSession
      extends Object

  A CLI execution.
  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CliSession()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getCommands()` | Get the list of CLI commands to execute.
    `String[]` | `getJavaOpts()` | Get the list of JVM options to pass to CLI process.
    `List<File>` | `getPropertiesFiles()` | Get the properties files used when executing the CLI.
    `boolean` | `getResolveExpression()` | Get the expression resolution value.
    `List<File>` | `getScripts()` | Get the list of CLI script files to execute.
    `void` | `setCommands​(List<String> commands)` | Set the list of CLI commands to execute.
    `void` | `setJavaOpts​(String[] javaOpts)` | Set the list of JVM options to pass to CLI process.
    `void` | `setPropertiesFiles​(List<File> propertiesFiles)` | Set the properties files used when executing the CLI.
    `void` | `setResolveExpressions​(boolean resolveExpressions)` | By default, the CLI doesn't resolve expressions located in scripts locally.
    `void` | `setScripts​(List<File> scripts)` | Set the list of CLI script files to execute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CliSession

          public CliSession()

  - ### Method Detail

    - #### setCommands

          public void setCommands​(List<String> commands)

      Set the list of CLI commands to execute.
      Parameters:
        `commands` - List of script CLI commands

    - #### getCommands

          public List<String> getCommands()

      Get the list of CLI commands to execute.
      Returns:
        The list of CLI commands.

    - #### setJavaOpts

          public void setJavaOpts​(String[] javaOpts)

      Set the list of JVM options to pass to CLI process.
      Parameters:
        `javaOpts` - List of JVM Options.

    - #### getJavaOpts

          public String[] getJavaOpts()

      Get the list of JVM options to pass to CLI process.
      Returns:
        The list of Java Options

    - #### setScripts

          public void setScripts​(List<File> scripts)

      Set the list of CLI script files to execute.
      Parameters:
        `scripts` - List of script file paths.

    - #### getScripts

          public List<File> getScripts()

      Get the list of CLI script files to execute.
      Returns:
        The list of file paths.

    - #### setPropertiesFiles

          public void setPropertiesFiles​(List<File> propertiesFiles)

      Set the properties files used when executing the CLI.
      Parameters:
        `propertiesFiles` - List of Path to properties file.

    - #### getPropertiesFiles

          public List<File> getPropertiesFiles()

      Get the properties files used when executing the CLI.
      Returns:
        The properties file path.

    - #### setResolveExpressions

          public void setResolveExpressions​(boolean resolveExpressions)

      By default, the CLI doesn't resolve expressions located in scripts locally. In order to have the expressions resolved locally, set this value to true.
      Parameters:
        `resolveExpressions` - True to resolve locally, false to resolve at server execution time.

    - #### getResolveExpression

          public boolean getResolveExpression()

      Get the expression resolution value.
      Returns:
        The expression resolution value.